Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | List of all members
cutlass::gemm::FragmentMultiplyAdd< half, half, true > Struct Template Reference

`#include <fragment_multiply_add.h>`

## Public Types
typedef Shape< 1, 1, 1, 1 > | InstructionShape
| The shape of the instruction. More...
typedef half | ScalarAlphaBeta
| The type for alpha and beta. More...
typedef half | ScalarAccum
| The type for accumlator. More...

## Public Member Functions
CUTLASS_DEVICE | FragmentMultiplyAdd ()
| Ctor. More...
template<typename FragmentB_ , typename FragmentCd_ >
CUTLASS_DEVICE void | multiply (half a, FragmentB_ const &b, FragmentCd_ &d)
| Multiply : d = a*b. More...
template<typename FragmentB_ , typename FragmentCd_ >
CUTLASS_DEVICE void | multiply_add (half a, FragmentB_ const &b, FragmentCd_ const &c, FragmentCd_ &d)
| Multiply : d = a*b + c. More...

## Member Typedef Documentation

## ◆ InstructionShape

typedef Shape<1, 1, 1, 1> cutlass::gemm::FragmentMultiplyAdd< half, half, true >::InstructionShape

## ◆ ScalarAccum

typedef half cutlass::gemm::FragmentMultiplyAdd< half, half, true >::ScalarAccum

## ◆ ScalarAlphaBeta

typedef half cutlass::gemm::FragmentMultiplyAdd< half, half, true >::ScalarAlphaBeta

## Constructor & Destructor Documentation

## ◆ FragmentMultiplyAdd()

CUTLASS_DEVICE cutlass::gemm::FragmentMultiplyAdd< half, half, true >::FragmentMultiplyAdd | ( |  | ) |
| inline

## Member Function Documentation

## ◆ multiply()

template<typename FragmentB_ , typename FragmentCd_ >

CUTLASS_DEVICE void cutlass::gemm::FragmentMultiplyAdd< half, half, true >::multiply | ( | half | a,
|  | FragmentB_ const & | b,
|  | FragmentCd_ & | d
| ) |  |
| inline

## ◆ multiply_add()

template<typename FragmentB_ , typename FragmentCd_ >

CUTLASS_DEVICE void cutlass::gemm::FragmentMultiplyAdd< half, half, true >::multiply_add | ( | half | a,
|  | FragmentB_ const & | b,
|  | FragmentCd_ const & | c,
|  | FragmentCd_ & | d
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- fragment_multiply_add.h